Bug 1629940 (CVE-2018-14656) - CVE-2018-14656 kernel: Arbitrary Kernel Read into dmesg via Missing Address Check in segfault Handler
Summary: CVE-2018-14656 kernel: Arbitrary Kernel Read into dmesg via Missing Address C...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-14656
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180913,repo...
Depends On: 1629941 1629942 1632820 1635876
Blocks: 1629943
TreeView+ depends on / blocked
 
Reported: 2018-09-17 16:21 UTC by Pedro Sampaio
Modified: 2019-08-08 13:18 UTC (History)
52 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A missing address check in the callers of the show_opcodes() in the Linux kernel allows an attacker to dump the kernel memory at an arbitrary kernel address into the dmesg log.
Clone Of:
Environment:
Last Closed: 2019-08-08 13:18:28 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-09-17 16:21:46 UTC
A missing address check in the callers of the show_opcodes() in the Linux kernel allows an attacker to dump the kernel memory at an arbitrary kernel address into the dmesg log.

References:

https://bugs.chromium.org/p/project-zero/issues/detail?id=1650

https://lore.kernel.org/lkml/20180828154901.112726-1-jannh@google.com/T/

https://seclists.org/oss-sec/2018/q4/9

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=342db04ae71273322f0011384a9ed414df8bdae4

Comment 1 Pedro Sampaio 2018-09-17 16:23:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1629942]

Comment 3 Justin M. Forbes 2018-09-17 19:09:44 UTC
This is fixed for Fedora with the 4.18.6 stable updates.

Comment 11 Petr Matousek 2018-10-09 10:30:25 UTC
External References:

https://bugs.chromium.org/p/project-zero/issues/detail?id=1650

Comment 13 Product Security DevOps Team 2019-08-08 13:18:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-14656


Note You need to log in before you can comment on or make changes to this bug.